Bug 1529202 - Review Request: ocaml-migrate-parsetree - Convert OCaml parsetrees between different major versions
Summary: Review Request: ocaml-migrate-parsetree - Convert OCaml parsetrees between di...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-27 04:57 UTC by Andy Li
Modified: 2018-02-14 17:27 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-02-14 17:27:37 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Andy Li 2017-12-27 04:57:35 UTC
Spec URL: https://gist.github.com/andyli/e0be941c55e2b740916235198e82dd9e/raw/bf9322e6e65885f8593d5c4b996ffbfb6882551d/ocaml-migrate-parsetree.spec
SRPM URL: https://gist.github.com/andyli/e0be941c55e2b740916235198e82dd9e/raw/bf9322e6e65885f8593d5c4b996ffbfb6882551d/ocaml-migrate-parsetree-1.0.7-1.fc28.src.rpm
Description: Convert OCaml parsetrees between different major versions
Fedora Account System Username: andyli

This is a dependency of sedlex, which is used by the next version of Haxe (v4.0.0).

Comment 1 Robert-André Mauchin 2018-01-02 00:44:51 UTC
 - You should generate debuginfo:

ocaml-migrate-parsetree.x86_64: W: unstripped-binary-or-object /usr/lib64/ocaml/ocaml-migrate-parsetree-ocamlbuild/migrate_parsetree_ocamlbuild.cmxs
ocaml-migrate-parsetree.x86_64: W: unstripped-binary-or-object /usr/lib64/ocaml/ocaml-migrate-parsetree/driver-main/migrate_parsetree_driver_main.cmxs
ocaml-migrate-parsetree.x86_64: W: unstripped-binary-or-object /usr/lib64/ocaml/ocaml-migrate-parsetree/migrate_parsetree.cmxs

   Cf. the guidelines:

"find-debuginfo.sh processes only files that are executable when it's run; for practical purposes one can assume that happens under the hood after the %install section. Make sure that all ELF binaries (executables, shared libraries, DSO's) are executable at end of %install."

https://fedoraproject.org/wiki/Packaging:Debuginfo

   Just make these files executables in %install:

find %{buildroot} -name '*.cmxs' -exec chmod 0755 {} \;

   And remove "%global debug_package %{nil}"

   You'll then proporly generate debuginfo and debugsource packages.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "LGPL (v2.1)", "Unknown or generated". 80 files have unknown
     license. Detailed output of licensecheck in /home/bob/packaging/review
     /ocaml-migrate-parsetree/review-ocaml-migrate-
     parsetree/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[!]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 81920 bytes in 6 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ocaml-migrate-parsetree-1.0.7-1.fc28.x86_64.rpm
          ocaml-migrate-parsetree-devel-1.0.7-1.fc28.x86_64.rpm
          ocaml-migrate-parsetree-1.0.7-1.fc28.src.rpm
ocaml-migrate-parsetree.x86_64: W: spelling-error Summary(en_US) parsetrees -> parse trees, parse-trees, trespasses
ocaml-migrate-parsetree.x86_64: W: spelling-error %description -l en_US parsetrees -> parse trees, parse-trees, trespasses
ocaml-migrate-parsetree.x86_64: W: unstripped-binary-or-object /usr/lib64/ocaml/ocaml-migrate-parsetree-ocamlbuild/migrate_parsetree_ocamlbuild.cmxs
ocaml-migrate-parsetree.x86_64: W: unstripped-binary-or-object /usr/lib64/ocaml/ocaml-migrate-parsetree/driver-main/migrate_parsetree_driver_main.cmxs
ocaml-migrate-parsetree.x86_64: W: unstripped-binary-or-object /usr/lib64/ocaml/ocaml-migrate-parsetree/migrate_parsetree.cmxs
ocaml-migrate-parsetree.src: W: spelling-error Summary(en_US) parsetrees -> parse trees, parse-trees, trespasses
ocaml-migrate-parsetree.src: W: spelling-error %description -l en_US parsetrees -> parse trees, parse-trees, trespasses
3 packages and 0 specfiles checked; 0 errors, 7 warnings.

Comment 3 Robert-André Mauchin 2018-01-02 10:17:51 UTC
Package approved.

Happy new year to you too.

Comment 4 Gwyn Ciesla 2018-01-03 12:28:35 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ocaml-migrate-parsetree

Comment 5 Fedora Update System 2018-01-31 03:42:20 UTC
ocaml-migrate-parsetree-1.0.7-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d01a8c2710

Comment 6 Fedora Update System 2018-01-31 22:45:47 UTC
ocaml-migrate-parsetree-1.0.7-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d01a8c2710

Comment 7 Fedora Update System 2018-02-14 17:27:37 UTC
ocaml-migrate-parsetree-1.0.7-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.